CustomAttributesControllerUpdateCustomAttribute Method |
PUT /CustomAttributes/{id}
Update a custom attribute, as well as the associated token.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage UpdateCustomAttribute(
Guid id,
[FromBodyAttribute] CustomAttributeInfoData customAttributeInfoData,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function UpdateCustomAttribute (
id As Guid,
<FromBodyAttribute> customAttributeInfoData As CustomAttributeInfoData,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ UpdateCustomAttribute(
Guid id,
[FromBodyAttribute] CustomAttributeInfoData^ customAttributeInfoData,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member UpdateCustomAttribute :
id : Guid *
[<FromBodyAttribute>] customAttributeInfoData : CustomAttributeInfoData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the account to be updated. - customAttributeInfoData
- Type: Dundas.BI.WebApi.ModelsCustomAttributeInfoData
The attribute object to be updated. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
CustomAttributeInfo object, or a status code indicating the problem.
See Also